Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class TransactionType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.TransactionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:35+01:00",
               comments="JAXB RI v2.2.11")
    public class TransactionType

extends Object
implements Serializable

a transaction is a set of medical information validated by one healthcare professional at one given moment.

Java class for transactionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="transactionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="confidentiality" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}confidentialityType" minOccurs="0"/>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION" maxOccurs="unbounded"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType"/>
             <element name="redactor" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
             <element name="iscomplete" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="isvalidated" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="expirationdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <choice maxOccurs="unbounded">
               <element name="heading" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}headingType"/>
               <element name="item" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}itemType"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
               <element name="text-with-layout" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}textWithLayoutType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="lnk" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}lnkType"/>
             </choice>
             <element name="recorddatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TransactionType()`

Method Summary
`AuthorType` | `getAuthor()` Gets the value of the author property.
`List<CDTRANSACTION>` | `getCds()` Gets the value of the cds property.
`ConfidentialityType` | `getConfidentiality()` Gets the value of the confidentiality property.
`org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
`org.joda.time.DateTime` | `getExpirationdate()` Gets the value of the expirationdate property.
`List<HeadingType>` | `getHeading()` Gets the value of the heading property.
`List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
`List<ItemType>` | `getItem()` Gets the value of the item property.
`List<LnkType>` | `getLnk()` Gets the value of the lnk property.
`org.joda.time.DateTime` | `getRecorddatetime()` Gets the value of the recorddatetime property.
`AuthorType` | `getRedactor()` Gets the value of the redactor property.
`List<TextType>` | `getText()` Gets the value of the text property.
`List<TextWithLayoutType>` | `getTextWithLayout()` Gets the value of the textWithLayout property.
`org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
`String` | `getVersion()` Gets the value of the version property.
`boolean` | `isIscomplete()` Gets the value of the iscomplete property.
`boolean` | `isIsvalidated()` Gets the value of the isvalidated property.
`void` | `setAuthor(AuthorType value)` Sets the value of the author property.
`void` | `setConfidentiality(ConfidentialityType value)` Sets the value of the confidentiality property.
`void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
`void` | `setExpirationdate(org.joda.time.DateTime value)` Sets the value of the expirationdate property.
`void` | `setIscomplete(boolean value)` Sets the value of the iscomplete property.
`void` | `setIsvalidated(boolean value)` Sets the value of the isvalidated property.
`void` | `setRecorddatetime(org.joda.time.DateTime value)` Sets the value of the recorddatetime property.
`void` | `setRedactor(AuthorType value)` Sets the value of the redactor property.
`void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionType

    public TransactionType()

Method Detail

### getConfidentiality

    public ConfidentialityType getConfidentiality()

  Gets the value of the confidentiality property.

  Returns:
    possible object is `ConfidentialityType`

### setConfidentiality

    public void setConfidentiality(ConfidentialityType value)

  Sets the value of the confidentiality property.

  Parameters:
    `value` - allowed object is `ConfidentialityType`

### getIds

    public List<IDKMEHR> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `IDKMEHR`

### getCds

    public List<CDTRANSACTION> getCds()

  Gets the value of the cds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

  For example, to add a new item, do as follows:

          getCds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDTRANSACTION`

### getDate

    public org.joda.time.DateTime getDate()

  Gets the value of the date property.

  Returns:
    possible object is `String`

### setDate

    public void setDate(org.joda.time.DateTime value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `String`

### getTime

    public org.joda.time.DateTime getTime()

  Gets the value of the time property.

  Returns:
    possible object is `String`

### setTime

    public void setTime(org.joda.time.DateTime value)

  Sets the value of the time property.

  Parameters:
    `value` - allowed object is `String`

### getAuthor

    public AuthorType getAuthor()

  Gets the value of the author property.

  Returns:
    possible object is `AuthorType`

### setAuthor

    public void setAuthor(AuthorType value)

  Sets the value of the author property.

  Parameters:
    `value` - allowed object is `AuthorType`

### getRedactor

    public AuthorType getRedactor()

  Gets the value of the redactor property.

  Returns:
    possible object is `AuthorType`

### setRedactor

    public void setRedactor(AuthorType value)

  Sets the value of the redactor property.

  Parameters:
    `value` - allowed object is `AuthorType`

### isIscomplete

    public boolean isIscomplete()

  Gets the value of the iscomplete property.

### setIscomplete

    public void setIscomplete(boolean value)

  Sets the value of the iscomplete property.

### isIsvalidated

    public boolean isIsvalidated()

  Gets the value of the isvalidated property.

### setIsvalidated

    public void setIsvalidated(boolean value)

  Sets the value of the isvalidated property.

### getExpirationdate

    public org.joda.time.DateTime getExpirationdate()

  Gets the value of the expirationdate property.

  Returns:
    possible object is `String`

### setExpirationdate

    public void setExpirationdate(org.joda.time.DateTime value)

  Sets the value of the expirationdate property.

  Parameters:
    `value` - allowed object is `String`

### getHeading

    public List<HeadingType> getHeading()

  Gets the value of the heading property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the heading property.

  For example, to add a new item, do as follows:

          getHeading().add(newItem);

  Objects of the following type(s) are allowed in the list `HeadingType`

### getItem

    public List<ItemType> getItem()

  Gets the value of the item property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the item property.

  For example, to add a new item, do as follows:

          getItem().add(newItem);

  Objects of the following type(s) are allowed in the list `ItemType`

### getText

    public List<TextType> getText()

  Gets the value of the text property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the text property.

  For example, to add a new item, do as follows:

          getText().add(newItem);

  Objects of the following type(s) are allowed in the list `TextType`

### getTextWithLayout

    public List<TextWithLayoutType> getTextWithLayout()

  Gets the value of the textWithLayout property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the textWithLayout property.

  For example, to add a new item, do as follows:

          getTextWithLayout().add(newItem);

  Objects of the following type(s) are allowed in the list `TextWithLayoutType`

### getLnk

    public List<LnkType> getLnk()

  Gets the value of the lnk property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lnk property.

  For example, to add a new item, do as follows:

          getLnk().add(newItem);

  Objects of the following type(s) are allowed in the list `LnkType`

### getRecorddatetime

    public org.joda.time.DateTime getRecorddatetime()

  Gets the value of the recorddatetime property.

  Returns:
    possible object is `String`

### setRecorddatetime

    public void setRecorddatetime(org.joda.time.DateTime value)

  Sets the value of the recorddatetime property.

  Parameters:
    `value` - allowed object is `String`

### getVersion

    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.